Bug 590397 - [abrt] crash in abrt-gui-1.1.0-1.fc13: CCDump.py:100:getPackageName:AttributeError: Dump instance has no attribute 'package'
[abrt] crash in abrt-gui-1.1.0-1.fc13: CCDump.py:100:getPackageName:Attribute...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jiri Moskovcak
Fedora Extras Quality Assurance
abrt_hash:1b0f91af
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-09 06:33 EDT by ghostwik
Modified: 2015-02-01 17:51 EST (History)
8 users (show)

See Also:
Fixed In Version: abrt-2.0.1-2.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-26 12:20:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (581 bytes, text/plain)
2010-05-09 06:33 EDT, ghostwik
no flags Details

  None (edit)
Description ghostwik 2010-05-09 06:33:40 EDT
abrt 1.1.0 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/share/abrt/CCMainWindow.py
component: abrt
executable: /usr/share/abrt/CCMainWindow.py
kernel: 2.6.33.3-85.fc13.x86_64
package: abrt-gui-1.1.0-1.fc13
reason: CCDump.py:100:getPackageName:AttributeError: Dump instance has no attribute 'package'
release: Fedora release 13 (Goddard)
How to reproduce: 1. I've deleted crash from abrt

backtrace
-----
CCDump.py:100:getPackageName:AttributeError: Dump instance has no attribute 'package'

Traceback (most recent call last):
  File "/usr/share/abrt/CCMainWindow.py", line 236, in on_tvDumps_cursor_changed
    l_heading.set_markup(_("<b>%s Crash</b>\n%s") % (dump.getPackageName().title(),dump.getPackage()))
  File "/usr/share/abrt/CCDump.py", line 100, in getPackageName
    name_delimiter_pos = self.package[:self.package.rfind("-")].rfind("-")
AttributeError: Dump instance has no attribute 'package'

Local variables in innermost frame:
self: <CCDump.Dump instance at 0x1304908>
Comment 1 ghostwik 2010-05-09 06:33:43 EDT
Created attachment 412623 [details]
File: backtrace
Comment 2 Fedora Update System 2011-03-27 13:37:13 EDT
abrt-2.0.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-1.fc15
Comment 3 Fedora Update System 2011-03-29 16:02:43 EDT
abrt-2.0.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-2.fc15
Comment 4 Fedora Update System 2011-03-29 22:33:09 EDT
Package abrt-2.0.0-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.0-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/abrt-2.0.0-2.fc15
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-03-30 12:49:24 EDT
abrt-2.0.0-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-3.fc15
Comment 6 Fedora Update System 2011-04-04 10:09:14 EDT
abrt-2.0.0-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-4.fc15
Comment 7 Fedora Update System 2011-04-15 11:10:21 EDT
abrt-2.0.0-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-5.fc15
Comment 8 Fedora Update System 2011-04-20 09:31:01 EDT
abrt-2.0.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.1-1.fc15
Comment 9 Fedora Update System 2011-04-21 12:45:32 EDT
abrt-2.0.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.1-2.fc15
Comment 10 Fedora Update System 2011-04-26 12:12:53 EDT
abrt-2.0.1-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.